<div class="col-8 offset-2 mt-4">
    <h2>{{title}}</h2>

    <form #searchForm="ngForm" role="search" (ngSubmit)="search()">
        <div class="form-row">
            <div class="form-group col-6">
                <label for="filter">Mostrar solo</label>
                <select name="filter" id="filter" class="form-control" [(ngModel)]="filter">
                    <option value="0" selected>Sin Filtro</option>
                    <option value="1">Nuevas</option>
                    <option value="2">Pendientes</option>
                    <option value="3">Acabadas</option>
                </select>
            </div>
            <div class="form-group col-6">
                <label for="order">Orden</label>
                <select name="order" id="order" class="form-control" [(ngModel)]="order">
                    <option value="0">Por defecto</option>
                    <option value="1">Fecha ascendente</option>
                    <option value="2">Fecha descendente</option>
                </select>
            </div>
        </div>
        <div class="form-row mt-2">
            <div class="form-group col-10">
                <input type="text" class="form-control" placeholder="Escribe aquí tareas a buscar" name="searchString" [(ngModel)]="searchString">
            </div>
            <div class="form-group col-2">
                <button type="submit" class="btn btn-primary form-control"><i class="fas fa-search"></i> Buscar</button>
            </div>
        </div>
    </form>

    <div *ngIf="loading==true" class="mt-4 text-center ">
        <img src="../../assets/imgs/ajax-loader.gif" class="loader-img">
    </div>
    <table class="table table-striped table-hover" *ngIf="loading==false">
        <tr>
            <th>Estado</th>
            <th>Título</th>
            <th>Descripción</th>
            <th>Acciones</th>
        </tr>
        <tr *ngFor="let task of tasks">
                
            <td>
                <span class="badge" [ngClass]="task.status=='nueva'? 'badge-primary' :(task.status == 'pendiente' ? 'badge-warning' : 'badge-success')"><h6>{{task.status}}</h6></span>
                
            </td>
            <td><a [routerLink]="['task',task.id]" >{{task.title}}</a></td>
            <td>{{task.description}}</td>
            <td><a [routerLink]="['/task-edit', task.id]" class="btn btn-warning">Editar</a></td>
        </tr>
    </table>
    <div class="alert alert-danger" *ngIf="loading==false && (!tasks || tasks.length == 0)">No hay tareas que coincidan</div>
   

        <ul class="pagination" *ngIf="tasks && tasks.length >= 1 ">
            <li class="page-item">
                <a [routerLink]="['/index',pagePrev]" class="page-link"><span aria-hidden="true">&laquo;</span></a>
            </li>
            <li *ngFor="let pag of pages" class="page-item">
                <a [routerLink]="['/index', pag]" class="page-link">{{pag}}</a>
            </li>
            <li class="page-item">
                    <a [routerLink]="['/index',pageNext]" class="page-link"><span aria-hidden="true">&raquo;</span></a>
            </li>
        </ul>
   
</div>

